Crystal Space: iCameraPositionList Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCameraPositionList Struct Reference
[Views & Cameras]

A list of camera position objects. More...

`#include <iengine/campos.h>`

Inheritance diagram for iCameraPositionList:

[legend]
List of all members.

## Public Member Functions
virtual int | Add (iCameraPosition *obj)=0
| Add a camera position.
virtual int | Find (iCameraPosition *obj) const =0
| Find a camera position and return its index.
virtual iCameraPosition * | FindByName (const char *Name) const =0
| Find a camera position by name.
virtual iCameraPosition * | Get (int n) const =0
| Return a camera position by index.
virtual int | GetCount () const =0
| Return the number of camera positions in this list.
virtual iCameraPosition * | NewCameraPosition (const char *name)=0
| Create a new empty camera position.
virtual bool | Remove (int n)=0
| Remove the nth camera position.
virtual bool | Remove (iCameraPosition *obj)=0
| Remove a camera position.
virtual void | RemoveAll ()=0
| Remove all camera positions.

## Detailed Description

A list of camera position objects.

Main ways to get pointers to this interface:

- iEngine::GetCameraPositions()

Main users of this interface:

- Engine stores them.
- Application uses them.

Definition at line 128 of file campos.h.

## Member Function Documentation

virtual int iCameraPositionList::Add | ( | iCameraPosition * | obj | ) | `[pure virtual]`

Add a camera position.

virtual int iCameraPositionList::Find | ( | iCameraPosition * | obj | ) | const`[pure virtual]`

Find a camera position and return its index.

virtual iCameraPosition* iCameraPositionList::FindByName | ( | const char * | Name | ) | const`[pure virtual]`

Find a camera position by name.

virtual iCameraPosition* iCameraPositionList::Get | ( | int | n | ) | const`[pure virtual]`

Return a camera position by index.

virtual int iCameraPositionList::GetCount | ( |  | ) | const`[pure virtual]`

Return the number of camera positions in this list.

virtual iCameraPosition* iCameraPositionList::NewCameraPosition | ( | const char * | name | ) | `[pure virtual]`

Create a new empty camera position.

virtual bool iCameraPositionList::Remove | ( | int | n | ) | `[pure virtual]`

Remove the nth camera position.

virtual bool iCameraPositionList::Remove | ( | iCameraPosition * | obj | ) | `[pure virtual]`

Remove a camera position.

virtual void iCameraPositionList::RemoveAll | ( |  | ) | `[pure virtual]`

Remove all camera positions.

The documentation for this struct was generated from the following file:

- iengine/campos.h